### Method

# GtkSource StyleScheme get_style

#### Declaration [src]

    GtkSourceStyle*
    gtk_source_style_scheme_get_style (
      GtkSourceStyleScheme* scheme,
      const gchar* style_id
    )

#### Description

No description available.

#### Parameters

`style_id`

  Type: `const gchar*`

  Id of the style to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceStyle`

Style which corresponds to `style_id` in the `scheme`, or `NULL` when no style with this name found. It is owned by `scheme` and may not be unref’ed.

The returned data is owned by the instance.
The return value can be `NULL`.